# This file contains performance listings by model and metric

#######################################
# PT METRICS
#######################################
pt_datasets = [
    'v4_original_28_24_16',
    'v4_28_24_16',
    'v5_28_24_16',
    'v5_28_24_16_a_b_symbias',
    'v5_14_12_8_a_b_symbias',
    'v5_14_12_8_a_b_symbias_split'
]

pt_metrics = {
    'qinvpt': {
        'rmse': {
            pt_datasets[0]: [0.07979254047585431, 0.08284212870801447, 0.0676079067413236, 0.07412492656802827],
            pt_datasets[1]: [0.07923719410589551, 0.0821379441148898, 0.06738263089715543, 0.07415208412849629],
            pt_datasets[2]: [0.08384341145784627, 0.08750979738614009, 0.0716668417498785, 0.0743129064090541],
            pt_datasets[3]: [0.10979218719292166, 0.1156341684528893, 0.08976939471308715, 0.0911413080795065],
            pt_datasets[4]: [0.12042817921582988, 0.1272990132387152, 0.09667650120544147, 0.0982343319142262],
            pt_datasets[5]: [0.12042817894001645, 0.12729901298455584, 0.09667650143564478, 0.09823433084279048]

        },

        'median_residual': {
            pt_datasets[0]: [0.0004052713497497522, 0.000530884254017927, -2.4094226902526827e-05,
                             0.0003003404422837249],
            pt_datasets[1]: [-0.0003641241561582881, -0.00014487138834436836, -0.00047590454409451866,
                             -0.0011671271848315568],
            pt_datasets[2]: [0.0007260680881675807, 0.00024710151243256123, 0.00128934935685604, 0.0024235958165409327],
            pt_datasets[3]: [0.001713600709969558, 0.0011817207768479998, 0.0027029926888198635, 0.00333006612449224],
            pt_datasets[4]: [0.003550287115716061, 0.0027286847479846554, 0.005505092197554989, 0.0054882852308945854],
            pt_datasets[5]: [0.003550272053570641, 0.0027287230959790465, 0.005505277999141446, 0.005488471439026983]
        },

        'mad_of_residual': {
            pt_datasets[0]: [0.03606284283003232, 0.038079118048761504, 0.0307999792988271, 0.031240435943984582],
            pt_datasets[1]: [0.03577524666032747, 0.03777873159539947, 0.03078613670055426, 0.030501034228610037],
            pt_datasets[2]: [0.03836826290789783, 0.04040934804664304, 0.03370970163538273, 0.03278769407212094],
            pt_datasets[3]: [0.050867185945555886, 0.05307805443203814, 0.04440042879717368, 0.044917189618424815],
            pt_datasets[4]: [0.05741883044890675, 0.06042897733278324, 0.04934859461713533, 0.04937799869590677],
            pt_datasets[5]: [0.05741871006491103, 0.06042893898478885, 0.049349030665127455, 0.04937788552664374]
        },
    },
    'qpt': {
        'rmse': {
            pt_datasets[0]: [3409.868036621478, 1085.2474024210658, 8496.563792117806, 2662.902103296232],
            pt_datasets[1]: [1250.6555762167657, 191.34040803269468, 872.6988394293461, 3261.6159903939897],
            pt_datasets[2]: [1771.5072344836312, 276.06649010746906, 2824.840412172648, 3863.1074150348973],
            pt_datasets[3]: [3181.1591021120676, 654.2973677798914, 8224.625664859295, 2003.2619447907819],
            pt_datasets[4]: [2603.654401368987, 964.305160671897, 741.3136012515191, 7221.3351809610995],
            pt_datasets[5]: [2399.4698104324802, 978.3820339036149, 755.8351953069996, 6563.43774871961]

        },

        'median_residual': {
            pt_datasets[0]: [-0.008893626860350556, -0.008293019989990436, -0.011452520022972479, -0.19198987487838437],
            pt_datasets[1]: [0.004793371579228989, 0.0017978382462493503, 0.02878851268467386, 0.7202709305325996],
            pt_datasets[2]: [-0.010444402694702148, -0.00342404842376709, -0.26282310485839844, -0.2750244140625],
            pt_datasets[3]: [-0.02151632308959961, -0.014688491821289062, -0.2479996681213379, -0.6830425262451172],
            pt_datasets[4]: [-0.06295156478881836, -0.04520893096923828, -0.7234644889831543, -1.2969083786010742],
            pt_datasets[5]: [-0.06295156478881836, -0.04520821571350098, -0.7234501838684082, -1.2969741821289062]
        },
    },
}
pt_bins = [
    'Inclusive',
    '0-10 GeV',
    '10-20 GeV',
    '20 GeV-Inf'
]

pt_units = {
    'rmse': 'RMSE [GeV]',
    'median_residual': 'Median Residual [GeV]',
    'mad_of_residual': 'Median Absolute Deviation of Residual [GeV]'
}

#######################################
# D0 METRICS
#######################################

d0_datasets = [
    'v5_28_24_16_nobias',
    'v5_28_24_16_symbias',
    'v5_14_12_8_symbias',
    'v5_14_12_8_symbias_split'
]
d0_metrics = {
    'd0': {
        'rmse': {
            d0_datasets[0]: [15.71340467430878, 17.34409982451633, 17.06756547549561, 17.03304466771491,
                             15.208474491157194],
            d0_datasets[1]: [15.659579623056405, 17.489159594843912, 16.994098672407976, 16.943213623113266,
                             15.141972337087484],
            d0_datasets[2]: [17.2796926856317, 19.06279336188104, 18.729971039411385, 18.37660555595578,
                             16.783245171693704],
            d0_datasets[3]: [16.918209523296703, 18.929424626359165, 18.565503753222647, 18.344827615689827,
                             16.323493731511398]
        },

        'median_residual': {
            d0_datasets[0]: [-0.041202545166015625, -0.024618864059448242, 0.0044956207275390625, 0.027856826782226562,
                             -0.0592193603515625],
            d0_datasets[1]: [0.013134002685546875, 0.11462759971618652, -0.10364341735839844, 0.09859275817871094,
                             0.00850677490234375],
            d0_datasets[2]: [0.0448455810546875, 0.0008175373077392578, 0.1549091339111328, 0.11748504638671875,
                             0.0255584716796875],
            d0_datasets[3]: [-0.10877227783203125, -0.1145787239074707, -0.0349583625793457, -0.03193473815917969,
                             -0.12607765197753906]
        },

        'mad_of_residual': {
            d0_datasets[0]: [6.935279846191406, 7.347227334976196, 7.355817794799805, 7.273557662963867,
                             6.816566467285156],
            d0_datasets[1]: [6.854267120361328, 7.957042932510376, 6.649545907974243, 7.325721740722656,
                             6.740570068359375],
            d0_datasets[2]: [7.634529113769531, 8.8833167552948, 7.6922314167022705, 7.940204620361328,
                             7.502357482910156],
            d0_datasets[3]: [7.488020896911621, 8.80953598022461, 7.205148220062256, 7.92414665222168, 7.37501335144043]
        },
    }
}

dxy_bins = [
    'Inclusive',
    '0-10 cm',
    '10-20 cm',
    '20-32 cm',
    '32 cm-Inf'
]

dxy_units = {
    'rmse': 'RMSE [cm]',
    'median_residual': 'Median Residual [cm]',
    'mad_of_residual': 'Median Absolute Deviation of Residual [cm]'
}

#######################################
# DXY METRICS
#######################################

dxy_datasets = [
    'endless_v4_dxy',
    'endless_v5_dxy'
]
dxy_metrics = {
    'dxy': {
        'rmse': {
            'endless_v4_dxy': [48.54442743099724, 5.713636617189937, 12.598827695127625, 22.779250042551173,
                               64.63708578607456],
            'endless_v5_dxy': [50.069955499220924, 7.174143629597418, 14.755946028358935, 24.97709105229141,
                               66.50469342846239],
        },

        'median_residual': {
            'endless_v4_dxy': [-30.84084554190526, -2.1734155664625643, -12.050558650503124, -22.571225951205683,
                               -52.73561350727152],
            'endless_v5_dxy': [-32.6438145749985, -4.298109242834845, -14.279456132288225, -24.991048314068845,
                               -55.02192688212635],
        },

        'mad_of_residual': {
            'endless_v4_dxy': [20.241287925886, 2.9340781255010167, 3.0057941658401255, 3.422948819918961,
                               15.931171816977894],
            'endless_v5_dxy': [20.37615520432713, 2.706400688614921, 2.742470981279693, 3.297759576715656,
                               16.08048022951771],
        },
    }
}

dxy_bins = [
    'Inclusive',
    '0-10 cm',
    '10-20 cm',
    '20-32 cm',
    '32 cm-Inf'
]

dxy_units = {
    'rmse': 'RMSE [cm]',
    'median_residual': 'Median Residual [cm]',
    'mad_of_residual': 'Median Absolute Deviation of Residual [cm]'
}
